Page MenuHomeFreeBSD

Update www/otter-browser to Beta 5
ClosedPublic

Authored by alonso on Apr 24 2015, 11:08 AM.

Details

Reviewers
rakuco
makc
Summary

Pull in area51's otter changes which upate otter to it's april beta release. Also, the www/otter-browser port currently doesn't install most files that it puts into stagedir, which gets fixed by this commit.

Test Plan

Apply the attached patch on a current ports tree and rebuild otter-browser.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

alonso updated this revision to Diff 4978.Apr 24 2015, 11:08 AM
alonso retitled this revision from to Update www/otter-browser to Beta 5.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: rakuco, makc.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.
rakuco added inline comments.May 3 2015, 10:33 PM
files/patch-CMakeLists.txt
11

Any plans of upstreaming this?

pkg-plist
10

Shouldn't this end in .gz?

alonso added inline comments.May 4 2015, 7:35 AM
files/patch-CMakeLists.txt
11

Already tried doing so in September last year:

https://github.com/OtterBrowser/otter-browser/issues/461

pkg-plist
10

Otter doesn't compress it. I could do so explicitly, but then it should probably also go to man/man1 instead of share/man/man1.

rakuco edited edge metadata.May 4 2015, 7:53 PM

The compress-man target compresses all man pages automatically, so you shouldn't need to worry about this. Now I'm glad you mentioned the path thing, the man pages should be installed to /usr/local/man, not /usr/local/share/man.

alonso updated this revision to Diff 5253.May 7 2015, 11:07 AM
alonso edited edge metadata.
alonso removed rP FreeBSD ports repository as the repository for this revision.

Merge r10677 from area51: Install the man page into the right path

alonso updated this revision to Diff 5254.May 7 2015, 11:11 AM

Last patch lacked pkg-plist

rakuco accepted this revision.May 7 2015, 6:58 PM
rakuco edited edge metadata.

lgtm, thanks!

This revision is now accepted and ready to land.May 7 2015, 6:58 PM

Has this landed in the tree yet? Can this review request be closed?

alonso closed this revision.Sep 8 2015, 8:41 AM

It went into PORTS in revision 385795.